package cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseAdjust;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 调仓记录 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_warehouse_adjust")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderWarehouseAdjustDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 调出仓库id
     */
    private Long warehouseOutId;
    /**
     * 调入仓库id
     */
    private Long warehouseInId;
    /**
     * 物流公司
     */
    private String logisticsCompany;
    /**
     * 物流单号
     */
    private String logisticsNo;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 出仓日期
     */
    private Date deliveryDate;
    /**
     * 到仓日期
     */
    private Date arrivalDate;
    /**
     * 调拨出仓备注
     */
    private String deliveryRemark;
    /**
     * 调拨到仓备注
     */
    private String arrivalRemark;
    /**
     * 状态 1审核中 2已通过 3已拒绝  4 已取消 5已出仓  6已到仓
     */
    private Integer status;


    /**
     * 调出仓库名称
     */
    @TableField(exist = false)
    private String warehouseOutName;

    /**
     * 要调入仓库名称
     */
    @TableField(exist = false)
    private String warehouseInName;


    /**
     * 调出仓库所在市
     */
    @TableField(exist = false)
    private Long warehouseOutShi;

    /**
     * 要调入仓库所在市
     */
    @TableField(exist = false)
    private Long warehouseInShi;

    /**
     * 申请人名称
     */
    @TableField(exist = false)
    private String creatorName;


}