package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 入仓商品通用属性VO
 *
 * @author yanghao
 */
@Data
@ApiModel(value = "入仓商品通用属性VO")
public class OrderWarehouseInWithAttrVO {


    @ApiModelProperty(value = "入仓货物-id, 可为空")
    private Long id;

    @ApiModelProperty(value = "入仓货物-箱/件数")
    @NotNull(message = "箱/件数不能为空")
    private Integer cartonsNum;

    @ApiModelProperty(value = "入仓货物-所有箱内总货物数量")
    private Integer quantityAll;

    @ApiModelProperty(value = "入仓规格类型")
    private Integer specificationType;

    @ApiModelProperty(value = "入仓货物-包装类型")
    private String unit;

    @ApiModelProperty(value = "入仓货物-箱规 长*宽*高")
    private String boxGauge;

    @ApiModelProperty(value = "入仓货物-体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "入仓货物-重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "入仓货物-快递单号")
    private String expressNo;

    @ApiModelProperty(value = "入仓影像列表")
    private List<String> pictureUrls;

    @ApiModelProperty(value = "箱明细-公共属性")
    private List<OrderWarehouseInCommonAttrVO> orderWarehouseInCommonAttrVOList;


}
